Package com.independentsoft.office.odf

# Class ConfigurationItem

java.lang.Object
com.independentsoft.office.odf.ConfigurationItem

All Implemented Interfaces:
  `IConfigurationItem`

public class ConfigurationItem extends Object implements IConfigurationItem
Represents the value of an application setting whose name is specified by its name attribute.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationItem()`
  Initializes a new instance of the ConfigurationItem class.
  `ConfigurationItem​(String name, ConfigurationType type, String value)`
  Initializes a new instance of the ConfigurationItem class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationItem`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getName()`
  Gets the name of an application setting, an application setting sequence, or an application setting container.
  `ConfigurationType`
  `getType()`
  Gets a data type for a setting.
  `String`
  `getValue()`
  Gets the value of an application setting.
  `void`
  `setName​(String name)`
  Sets the name of an application setting, an application setting sequence, or an application setting container.
  `void`
  `setType​(ConfigurationType type)`
  Sets a data type for a setting.
  `void`
  `setValue​(String value)`
  Sets the value of an application setting.
  `String`
  `toString()`
  Converts the value of the current ConfigurationItem object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationItem

    public ConfigurationItem()
    Initializes a new instance of the ConfigurationItem class.

  - ### ConfigurationItem

    public ConfigurationItem​(String name, ConfigurationType type, String value)
    Initializes a new instance of the ConfigurationItem class.
    Parameters:
      `name` - the name
      `type` - the type
      `value` - the value

- ## Method Details

  - ### clone

    public ConfigurationItem clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IConfigurationItem`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ConfigurationItem object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of an application setting, an application setting sequence, or an application setting container.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of an application setting, an application setting sequence, or an application setting container.
    Parameters:
      `name` - the new name

  - ### getType

    public ConfigurationType getType()
    Gets a data type for a setting.
    Returns:
      the type

  - ### setType

    public void setType​(ConfigurationType type)
    Sets a data type for a setting.
    Parameters:
      `type` - the new type

  - ### getValue

    public String getValue()
    Gets the value of an application setting.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value of an application setting.
    Parameters:
      `value` - the new value